---
title: "Update an existing Site."
slug: "update-an-existing-site-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/update-an-existing-site-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Site.

Put/sites/{id}

Update an existing Site.

SecurityHTTPType bearer

Path parametersidstring (uuid) Required

ID of the object.

Example12699e27-b584-464a-81ee-5b4784b6d425

Body parameters

Site object.

<select class='api-response-data' aria-label='Media type'><option value='0d72fe8c-6ef0-444b-884b-d8eeb02bc790'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    Required

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
descriptionstring    

Description of the Site to be displayed on the Client.

ExampleGives access to Azure endpoints.
geolocationobject  

Geolocation of the Site.

latitudenumber    
longitudenumber    

networkSubnets Array of string   

Network subnets in CIDR format to define the Site's boundaries. They are added as routes by the Client. Comments are supported with "#" delimiter.

string    Example10.0.0.0/16#comment
fallbackSitestring  (uuid)    

When the Client fails to connect to the Site for a certain period of time, configured Entitlements (see Policy) will be moved to this "Fallback" Site.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
localSiteDetectionobject  

Local Site Detection feature settings.

enabledboolean    

Enables the Local Site Detection feature.

Defaultfalse
publicIps Array of string   

The public IPs or the CIDRs of the clients that will be considered local to this Site. Those clients will connect to Gateways with the configured local hostname and local weights in Appliance configuration.

string    Example200.200.200.200

useForNearestSiteSelectionboolean    

If enabled, this Site will be included in the nearest Site override selection in Policies.

ipPoolMappings Array of object   

List of IP Pool mappings for this specific Site. When IPs are allocated this Site, they will be mapped to a new one using this setting.

object  fromstring  (uuid)    

IP Pool ID to map from. If a user is authorizing with this IP Pool via Identity Provider assignment and has access to this Site, mapping will occur for that user.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
tostring  (uuid)    

IP Pool ID to map to.

Example8c07bc67-5711-42dd-b702-c2d6c45419f8
typestring    

Mapping type.

Valid values[
  "Translation",
  "Allocation"
]Default"Translation"

defaultGatewayobject  

Default Gateway configuration.

enabledV4boolean    

When enabled, the Client uses this Site as the Default Default for all IPV4 traffic.

Defaultfalse
enabledV6boolean    

When enabled, the Client uses this Site as the Default Default for all IPv6 traffic.

Defaultfalse
excludedSubnets Array of string   

Network subnets to exclude when Default Gateway is enabled. The traffic for these subnets will not go through the Gateway in this Site. Comments are supported with "#" delimiter.

string    Example10.0.10.0/24#comment

entitlementBasedRoutingboolean    

When enabled, the routes are sent to the Client by the Gateways according to the user's Entitlements "networkSubnets" should be left be empty if it's enabled.

Defaultfalse
vpnobject  

VPN configuration for this Site.

snatboolean    

Source NAT.

Defaultfalse
tlsobject  

VPN over TLS protocol configuration.

enabledboolean    Defaulttrue
versionstring    

TLS version.

Valid values[
  "TLSv1.2",
  "TLSv1.3",
  "TLSv23"
]Default"TLSv1.3"

dtlsobject Deprecated 

Deprecated as of 6.6. VPN over DTLS protocol configuration.

enabledboolean    Defaultfalse

quicobject  

VPN over QUIC protocol configuration.

enabledboolean    Defaultfalse

routeViaobject  

Override routing for tunnel traffic.

ipv4string    

IPv4 address for routing tunnel traffic.

Example10.0.0.2
ipv6string    

IPv6 address for routing tunnel traffic.

Example2001:db8:0:0:0:ff00:42:8329

urlAccessEnabledboolean    

Whether to enable URL Access feature or not.

urlAccessP12s Array of object   

P12 files for proxying traffic for URL Access feature.

object  idstring  (uuid)    

Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.

contentstring  (byte)    

Contents of the P12 file in Base64 format.

passwordstring    

Password for the P12 file.

verifyUpstreamboolean    

Gateway will verify upstream certificate of the endpoints.

Defaulttrue

ipAccessLogIntervalSecondsnumber    

Frequency configuration for generating IP Access audit logs for a connection.

Default120.0
logNatIpAndNatPortboolean    

Whether to log NAT traffic or not.

Defaultfalse

nameResolutionobject  

Settings for asset name resolution.

useHostsFileboolean    

Name resolution to use Appliance's /etc/hosts file.

Defaultfalse
dnsResolvers Array of object   

Resolver to resolve hostnames using DNS servers. If there are no DNS Resolvers with empty match domains, one will be added automatically.

object  namestring    Required

Identifier name. Has no functional effect.

ExampleDNS Resolver 1
updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
queryAAAAboolean    

Perform AAAA lookups.

Defaultfalse
zonesTransfersboolean    

Perform zones transfer.

Defaultfalse
defaultTtlSecondsinteger   Deprecated 

Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set.

Default300
servers Array of string   

DNS Server addresses that will be used to resolve hostnames within the Site. Leave it empty to use the Gateways' own DNS configuration.

string    Example10.0.0.2
matchDomains Array of string   

The DNS resolver will only attempt to resolve names matching the match domains. If match domains are not specified the DNS resolver will attempt to resolve all hostnames.

string    Examplecompany.com
autoClientDnsboolean    

This will configure Client machines' DNS according to this resolver if the Client connects to this Site.

awsResolvers Array of object   

Resolvers to resolve Amazon machines by querying Amazon Web Services.

object  namestring    Required

Identifier name. Has no functional effect.

ExampleAWS Resolver 1
updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
vpcs Array of string   

VPC IDs to resolve names.

string    
vpcAutoDiscoveryboolean    

Use VPC auto discovery.

regions Array of string   

Amazon regions.

string    Exampleeu-west-2
useIAMRoleboolean    

Uses the built-in IAM role in AWS instances to authenticate against the API.

accessKeyIdstring    

ID of the access key.

secretAccessKeystring    

Secret access key for accessKeyId.

httpsProxystring    

Proxy address to use while communicating with AWS. format: https://username:password@ip/hostname:port

resolveWithMasterCredentialsboolean    

Use master credentials to resolve names in addition to any assumed roles.

partitionstring    

What AWS partition to use such as 'aws-cn' or 'aws-us-gov'

Default"aws"
ec2boolean    

Resolve EC2 resources.

Defaulttrue
apiGatewayboolean    

Resolve API Gateway resources.

Defaultfalse
eksboolean    

Resolve EKS resources.

Defaultfalse
rdsboolean    

Resolve RDS resources.

Defaultfalse
assumedRoles Array of object   

Roles to be assumed to perform AWS name resolution.

object  accountIdstring    

AWS account ID.

roleNamestring    

AWS role name

externalIdstring    

AWS role external id.

regions Array of string   

AWS regions.

string    

azureResolvers Array of object   

Resolvers to resolve Azure machines by querying Azure App Service.

object  namestring    Required

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
useManagedIdentitiesboolean    

Uses the built-in Managed Identities in Azure instances to authenticate against the API.

Defaultfalse
tenantIdstring    

Azure tenant id, visible with the azure cli command `azure account show`.

clientIdstring    

Azure client id, also called app id. Visible for a given application using the azure cli command `azure ad app show`.

secretstring    

Azure client secret. For Azure AD Apps this is done by creating a key for the app.

subscriptionIds Array of string   

Subscription IDs to resolve names for.

string    
subscriptionIdAutoDiscoveryboolean    

Use subscription auto discovery.

esxResolvers Array of object   

Resolvers to resolve VMware vSphere machines by querying the vCenter.

object  namestring    Required

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
hostnamestring    Required

Hostname of the vCenter.

usernamestring    Required

Username with admin access to the vCenter.

passwordstring    

Password for the username.

gcpResolvers Array of object   

Resolvers to resolve GCP machine by querying Google web services.

object  namestring    Required

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
projectFilterstring    

GCP project filter.

instanceFilterstring    

GCP instance filter.

forwardingRulesFilterstring    

GCP forwarding rules filter.

illumioResolvers Array of object   

Resolvers to resolve names by querying Appgate Illumio Resolver.

object  namestring    Required

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
orgIdstring    Required

Organization ID of the Illumio Resolver.

hostnamestring    Required

Hostname of the Illumio Resolver.

portinteger    Required

Port number of the Illumio Resolver.

usernamestring    Required

Username with access to the Illumio Resolver.

passwordstring    

Password for the username.

dnsForwardingobject  

DNS Forwarding feature. Always enabled and will be filled if there is no object is passed.

siteIpv4string    

DNS Forwarder Site IPv4 address.

Example100.110.0.0
siteIpv6string    

DNS Forwarder Site IPv6 address.

Example2001:db8:0:0:0:ff00:42:8329
dnsServers Array of string   

DNS Servers to use for resolving endpoints. Leave it empty to use the Gateways' own DNS configuration.

Example[
  "172.17.18.19",
  "192.100.111.31"
]string    
allowDestinations Array of object   Required

A list of subnets to allow access.

object  addressstring    Required

IP address

Example0.0.0.0
netmaskinteger    Required

netmask

Example32

defaultTtlSecondsinteger   Deprecated 

Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set.

Default300
matchDomains Array of string   

The match domains to use for automatic Client DNS configuration.

string    Examplecompany.com
autoClientDnsboolean    

This will configure Client machines' DNS according to this forwarder if the Client connects to this Site.

Responses200

Updated Site.

<select class='api-response-data' aria-label='Media type'><option value='3680efff-610c-416a-af39-d2aecc93f164'>application/json</option>
</select>Expand Allobject  idstring  (uuid)    

ID of the object.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
namestring    

Name of the object.

Exampleobject
notesstring    

Notes for the object. Used for documentation purposes.

ExampleThis object has been created for test purposes.
createdstring  (date-time)    

Create date.

updatedstring  (date-time)    

Last update date.

tags Array of string   

Array of tags.

Example[
  "developer",
  "api-created"
]string    
descriptionstring    

Description of the Site to be displayed on the Client.

ExampleGives access to Azure endpoints.
geolocationobject  

Geolocation of the Site.

latitudenumber    
longitudenumber    

networkSubnets Array of string   

Network subnets in CIDR format to define the Site's boundaries. They are added as routes by the Client. Comments are supported with "#" delimiter.

string    Example10.0.0.0/16#comment
fallbackSitestring  (uuid)    

When the Client fails to connect to the Site for a certain period of time, configured Entitlements (see Policy) will be moved to this "Fallback" Site.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
localSiteDetectionobject  

Local Site Detection feature settings.

enabledboolean    

Enables the Local Site Detection feature.

Defaultfalse
publicIps Array of string   

The public IPs or the CIDRs of the clients that will be considered local to this Site. Those clients will connect to Gateways with the configured local hostname and local weights in Appliance configuration.

string    Example200.200.200.200

useForNearestSiteSelectionboolean    

If enabled, this Site will be included in the nearest Site override selection in Policies.

ipPoolMappings Array of object   

List of IP Pool mappings for this specific Site. When IPs are allocated this Site, they will be mapped to a new one using this setting.

object  fromstring  (uuid)    

IP Pool ID to map from. If a user is authorizing with this IP Pool via Identity Provider assignment and has access to this Site, mapping will occur for that user.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
tostring  (uuid)    

IP Pool ID to map to.

Example8c07bc67-5711-42dd-b702-c2d6c45419f8
typestring    

Mapping type.

Valid values[
  "Translation",
  "Allocation"
]Default"Translation"

defaultGatewayobject  

Default Gateway configuration.

enabledV4boolean    

When enabled, the Client uses this Site as the Default Default for all IPV4 traffic.

Defaultfalse
enabledV6boolean    

When enabled, the Client uses this Site as the Default Default for all IPv6 traffic.

Defaultfalse
excludedSubnets Array of string   

Network subnets to exclude when Default Gateway is enabled. The traffic for these subnets will not go through the Gateway in this Site. Comments are supported with "#" delimiter.

string    Example10.0.10.0/24#comment

entitlementBasedRoutingboolean    

When enabled, the routes are sent to the Client by the Gateways according to the user's Entitlements "networkSubnets" should be left be empty if it's enabled.

Defaultfalse
vpnobject  

VPN configuration for this Site.

snatboolean    

Source NAT.

Defaultfalse
tlsobject  

VPN over TLS protocol configuration.

enabledboolean    Defaulttrue
versionstring    

TLS version.

Valid values[
  "TLSv1.2",
  "TLSv1.3",
  "TLSv23"
]Default"TLSv1.3"

dtlsobject Deprecated 

Deprecated as of 6.6. VPN over DTLS protocol configuration.

enabledboolean    Defaultfalse

quicobject  

VPN over QUIC protocol configuration.

enabledboolean    Defaultfalse

routeViaobject  

Override routing for tunnel traffic.

ipv4string    

IPv4 address for routing tunnel traffic.

Example10.0.0.2
ipv6string    

IPv6 address for routing tunnel traffic.

Example2001:db8:0:0:0:ff00:42:8329

urlAccessEnabledboolean    

Whether to enable URL Access feature or not.

urlAccessP12s Array of object   

P12 files for proxying traffic for URL Access feature.

object  idstring  (uuid)    

Identifier to track the object on update since all the other fields are write-only. A random one will be assigned if left empty.

subjectNamestring    

Subject name of the certificate in the file.

verifyUpstreamboolean    

Gateway will verify upstream certificate of the endpoints.

Defaulttrue

ipAccessLogIntervalSecondsnumber    

Frequency configuration for generating IP Access audit logs for a connection.

Default120.0
logNatIpAndNatPortboolean    

Whether to log NAT traffic or not.

Defaultfalse

nameResolutionobject  

Settings for asset name resolution.

useHostsFileboolean    

Name resolution to use Appliance's /etc/hosts file.

Defaultfalse
dnsResolvers Array of object   

Resolver to resolve hostnames using DNS servers. If there are no DNS Resolvers with empty match domains, one will be added automatically.

object  namestring    

Identifier name. Has no functional effect.

ExampleDNS Resolver 1
updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
queryAAAAboolean    

Perform AAAA lookups.

Defaultfalse
zonesTransfersboolean    

Perform zones transfer.

Defaultfalse
defaultTtlSecondsinteger   Deprecated 

Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set.

Default300
servers Array of string   

DNS Server addresses that will be used to resolve hostnames within the Site. Leave it empty to use the Gateways' own DNS configuration.

string    Example10.0.0.2
matchDomains Array of string   

The DNS resolver will only attempt to resolve names matching the match domains. If match domains are not specified the DNS resolver will attempt to resolve all hostnames.

string    Examplecompany.com
autoClientDnsboolean    

This will configure Client machines' DNS according to this resolver if the Client connects to this Site.

awsResolvers Array of object   

Resolvers to resolve Amazon machines by querying Amazon Web Services.

object  namestring    

Identifier name. Has no functional effect.

ExampleAWS Resolver 1
updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
vpcs Array of string   

VPC IDs to resolve names.

string    
vpcAutoDiscoveryboolean    

Use VPC auto discovery.

regions Array of string   

Amazon regions.

string    Exampleeu-west-2
useIAMRoleboolean    

Uses the built-in IAM role in AWS instances to authenticate against the API.

accessKeyIdstring    

ID of the access key.

httpsProxystring    

Proxy address to use while communicating with AWS. format: https://username:password@ip/hostname:port

resolveWithMasterCredentialsboolean    

Use master credentials to resolve names in addition to any assumed roles.

partitionstring    

What AWS partition to use such as 'aws-cn' or 'aws-us-gov'

Default"aws"
ec2boolean    

Resolve EC2 resources.

Defaulttrue
apiGatewayboolean    

Resolve API Gateway resources.

Defaultfalse
eksboolean    

Resolve EKS resources.

Defaultfalse
rdsboolean    

Resolve RDS resources.

Defaultfalse
assumedRoles Array of object   

Roles to be assumed to perform AWS name resolution.

object  accountIdstring    

AWS account ID.

roleNamestring    

AWS role name

externalIdstring    

AWS role external id.

regions Array of string   

AWS regions.

string    

azureResolvers Array of object   

Resolvers to resolve Azure machines by querying Azure App Service.

object  namestring    

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
useManagedIdentitiesboolean    

Uses the built-in Managed Identities in Azure instances to authenticate against the API.

Defaultfalse
tenantIdstring    

Azure tenant id, visible with the azure cli command `azure account show`.

clientIdstring    

Azure client id, also called app id. Visible for a given application using the azure cli command `azure ad app show`.

subscriptionIds Array of string   

Subscription IDs to resolve names for.

string    
subscriptionIdAutoDiscoveryboolean    

Use subscription auto discovery.

esxResolvers Array of object   

Resolvers to resolve VMware vSphere machines by querying the vCenter.

object  namestring    

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
hostnamestring    

Hostname of the vCenter.

usernamestring    

Username with admin access to the vCenter.

gcpResolvers Array of object   

Resolvers to resolve GCP machine by querying Google web services.

object  namestring    

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
projectFilterstring    

GCP project filter.

instanceFilterstring    

GCP instance filter.

forwardingRulesFilterstring    

GCP forwarding rules filter.

illumioResolvers Array of object   

Resolvers to resolve names by querying Appgate Illumio Resolver.

object  namestring    

Identifier name. Has no functional effect.

updateIntervalinteger    

How often will the resolver poll the server. In seconds.

Default60
orgIdstring    

Organization ID of the Illumio Resolver.

hostnamestring    

Hostname of the Illumio Resolver.

portinteger    

Port number of the Illumio Resolver.

usernamestring    

Username with access to the Illumio Resolver.

dnsForwardingobject  

DNS Forwarding feature. Always enabled and will be filled if there is no object is passed.

siteIpv4string    

DNS Forwarder Site IPv4 address.

Example100.110.0.0
siteIpv6string    

DNS Forwarder Site IPv6 address.

Example2001:db8:0:0:0:ff00:42:8329
dnsServers Array of string   

DNS Servers to use for resolving endpoints. Leave it empty to use the Gateways' own DNS configuration.

Example[
  "172.17.18.19",
  "192.100.111.31"
]string    
allowDestinations Array of object   

A list of subnets to allow access.

object  addressstring    

IP address

Example0.0.0.0
netmaskinteger    

netmask

Example32

defaultTtlSecondsinteger   Deprecated 

Deprecated as of 6.4. This will apply whenever Gateway gets a DNS response which has no TTL set.

Default300
matchDomains Array of string   

The match domains to use for automatic Client DNS configuration.

string    Examplecompany.com
autoClientDnsboolean    

This will configure Client machines' DNS according to this forwarder if the Client connects to this Site.

400

JSON error. Check the JSON format.

<select class='api-response-data' aria-label='Media type'><option value='cfcbbf5b-28aa-4509-a0c6-0e6c1f201437'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

401

Token error. Login again.

<select class='api-response-data' aria-label='Media type'><option value='4b4381cb-eb97-4b6e-ac36-b42b48adaf8f'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

403

Insufficient permissions to access this resource.

<select class='api-response-data' aria-label='Media type'><option value='a9d8369e-55ff-43eb-9bbf-360ec4501d43'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

404

The requested resource can not be found.

<select class='api-response-data' aria-label='Media type'><option value='ae5c0ade-346b-443c-a06c-55c060cd96ad'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

406

Invalid 'Accept' header.

<select class='api-response-data' aria-label='Media type'><option value='92d0f191-9e34-4f6a-819a-e1968c1c2b37'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

422

Request validation error. Check "errors" array for details.

<select class='api-response-data' aria-label='Media type'><option value='0beda726-d6d6-4b73-82a6-d1a5c7fc269a'>application/json</option>
</select>Expand Allobject  

Http 422 error for object validation.

idstring    

Machine readable error code.

messagestring    

Human readable error details.

errors Array of object   

List of fields with validation errors.

object  fieldstring    

Name of the field that failed validation.

Examplename
messagestring    

Failure reason.

Examplemay not be null

500

Unexpected server side error.

<select class='api-response-data' aria-label='Media type'><option value='1ed3ae02-b43e-4cd2-b930-67eaacd2afe5'>application/json</option>
</select>object  

Generic HTTP error.

idstring    

Machine readable error code.

messagestring    

Human readable error details.
